Live Transcoding Profiles/FiltersList Live Transcoding Profiles

List Live Transcoding Profiles

List Live Transcoding Profiles

curl -X GET "https://api.5centscdn.com/v2/streams/settings/profiles" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "lists": {
    "0": {
      "id": 1,
      "serviceid": 103,
      "type": "file",
      "name": "720p",
      "filemode": "Single",
      "settings": {
        "name": "720p",
        "f": "mp4",
        "cv": "libx264",
        "sv": "720p",
        "svvalue": "",
        "deinterlace": 0,
        "preset": "superfast",
        "bv": 1,
        "bvvalue": 2000,
        "vpass": 1,
        "fps": 30,
        "vprofile": "main",
        "ca": "aac",
        "aca": 2,
        "ba": 1,
        "bavalue": 128,
        "ara": 44100,
        "now": 0
      },
      "codec": "h264"
    }
  }
}
GET
/streams/settings/profiles
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Responses

resultstring

Status of the API response.

listsobject